Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.plr

Penalized logistic regression classifier.

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.
`asobjarray`(x) | Generates numpy.ndarray with dtype object from an iterable Is needed to assure object dtype, so first empty array of dtype=object needs to be constructed and then only items to be assigned.

Classes

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`ConditionalAttribute`([enabled]) | Simple container intended to conditionally store the value ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`PLR`([lm, criterion, reduced, maxiter]) | Penalized logistic regression `Classifier`.
`PLRWeights`(clf[, force_train]) | `Sensitivity` reporting linear weights of PLR
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

Exceptions

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`ConditionalAttribute`([enabled]) | Simple container intended to conditionally store the value ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`PLR`([lm, criterion, reduced, maxiter]) | Penalized logistic regression `Classifier`.
`PLRWeights`(clf[, force_train]) | `Sensitivity` reporting linear weights of PLR
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »